<?php

	require_once(get_template_directory() . '/library/core/admin/admin-panel/class.customizer.fonts.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/general.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/page-loader.php' );
	require_once(get_template_directory() . '/library/core/admin/admin-panel/style.php' );
	require_once(get_template_directory() . '/library/core/admin/admin-panel/header.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/page-tab.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/responsive.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/search.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/footer.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/shop.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/portfolio.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/services.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/blog.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/social.php');
	require_once(get_template_directory() . '/library/core/admin/admin-panel/sanitizer.php' );
 
	
	function health_customize_register( $wp_customize ) {

		$wp_customize->remove_section('header_image');
		$wp_customize->remove_section('background_image');
		$wp_customize->remove_section('colors');

		/** GENERAL SETTINGS **/
		health_customize_general_tab($wp_customize,'health');
		
		
		/** PAGE LOADER SETTINGS **/
		health_customize_page_loader_tab($wp_customize,'health');


		/** STYLE SECTION **/

		health_customize_style_tab($wp_customize, 'health');
		
		
		/** HEADER SECTION **/

		health_customize_header_tab($wp_customize,'health');


		/** RESPONSIVE SECTION **/

		health_customize_responsive_tab($wp_customize,'health');


		/** SEARCH SECTION **/

		health_customize_search_tab($wp_customize,'health');


		/** PAGE TITLE AND BREADCRUMBS SECTION **/

		health_customize_page_t_a_b_tab($wp_customize,'health');


		/** FOOTER SECTION **/

		health_customize_footer_tab($wp_customize,'health');


		/** SHOP SECTION **/

		health_customize_shop_tab($wp_customize,'health');


		/** PORTFOLIO SECTION **/

		health_customize_portfolio_tab($wp_customize, 'health');


		/** SERVICES SECTION **/

		health_customize_services_tab($wp_customize, 'health');


		/** BLOG SECTION **/

		health_customize_blog_tab($wp_customize,'health');

		/** SOCIAL SECTION **/

		health_customize_social_tab($wp_customize,'health');

		/** Remove unused sections */

		$removedSections = apply_filters('health_admin_customize_removed_sections', array('header_image','background_image'));
		foreach ($removedSections as $_sectionName){
			$wp_customize->remove_section($_sectionName);
		}

    }
    
    
	add_action( 'customize_register', 'health_customize_register' );

?>